| Qore reflection Module 1.14.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::Reflection::ClassConstant Class Reference

This class provides information about Qore class constants. More...

`#include <QC_ClassConstant.dox.h>`

Inheritance diagram for Qore::Reflection::ClassConstant:

## Public Member Functions
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
Class | getClass ()
| Returns the class for the constant.
Public Member Functions inherited from Qore::Reflection::AbstractConstant
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
list< string > | getModifierList ()
| returns a list of strings of modifiers describing the constant
int | getModifiers ()
| returns a bitfield of modifiers describing the constant
*string | getModuleName ()
| Returns the module name providing the constant or NOTHING if the constant was not provided by a module.
string | getName ()
| returns the constant's name
hash< SourceLocationInfo > | getSourceLocation ()
| Returns the source location of the contant declaration.
Type | getType ()
| Returns the type object for this constant.
auto | getValue ()
| Returns the value of the constant.
bool | isBuiltin ()
| returns True if the constant is builtin
bool | isClassConstant ()
| returns True if the constant is a class constant
bool | isEqual (AbstractConstant con)
| Returns True if the AbstractConstant object passed as an argument is equal to the current object; False if not.
bool | isUser ()
| returns True if the constant is a user constant

## Detailed Description

This class provides information about Qore class constants.

Restrictions:
  Qore::PO_NO_REFLECTION

See also
  Constant for namespace constants

Since
  Qore 0.9.0

## Member Function Documentation

## ◆ constructor()

Qore::Reflection::ClassConstant::constructor | ( |  | ) |

Throws an exception; this class cannot be created directly or used in a user class hierarchy.

Exceptions

  CLASSCONSTANT-CONSTRUCTOR-ERROR | the ClassConstant class cannot be constructed directly or inherited directly by a user-defined class

## ◆ getClass()

Class Qore::Reflection::ClassConstant::getClass | ( |  | ) |

Returns the class for the constant.

Code Flags:
  CONSTANT

Example:
  Class cls = con.getClass();

Returns
  the class for the constant

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_ClassConstant.dox.h